#language: ru

@milk_reception

Функционал: 01_milk_reception.02.004 Запуск обработки Приемка молока по качеству

Сценарий: 01_milk_reception.02.004 Запуск обработки Приемка молока по качеству без микробиологии
	Дано Я подключаюсь под "milk_rec_Лаборант приемки молока"
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И я перехожу к закладке с именем "ГруппаПараметры"
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И я нажимаю кнопку выбора у поля "РабочийЦентр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_rec_ПАЦ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И я нажимаю кнопку выбора у поля "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'milk_rec_Молоко'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И я нажимаю кнопку выбора у поля "ВидАнализа"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'milk_rec_показатели МДЖ МДБ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И в поле 'ДатаСмены' я ввожу текст '22.02.2019'
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно "Смены"
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку с именем "ФормаВыбрать"
	Тогда открылось окно 'Приемка молока по качеству *'
	И из выпадающего списка "Наш" я выбираю точное значение 'Наш'
	И я нажимаю кнопку выбора у поля "Автомобиль"
	Тогда открылось окно 'Транспортные средства'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль'   |
		| 'Н453РУ Камаз' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Поставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'ИНН'  | 'Наименование' |
		| '1434' | 'Поставщик 1'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" в поле 'ТТН' я ввожу текст '543453'
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '65'
	И в таблице "ТоварыЗаявлено" в поле 'Вес, кг' я ввожу текст '1 500,000'
	И в таблице "ТоварыЗаявлено" я выбираю текущую строку
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Заявлено"
	Тогда открылось окно 'Показатели, заявленные поставщиком Поставщик *'
	И в таблице "Показатели" я перехожу к строке:
		|  'Показатель' |
		|  'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,140'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		|  'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,400'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' 		|
		| 'Плотность молока'      |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '1027,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И я нажимаю на кнопку 'Фактические показатели секции'
	Тогда открылось окно 'Фактические показатели секции №1'
	И в таблице "Показатели" я перехожу к строке:
		|  'Показатель' |
		|  'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '2,980'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,400'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' 		|
		| 'Плотность молока'      |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '1027,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И я нажимаю на кнопку 'КомандаПечатьАктаРасхождений'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Записать и продолжить'
	Тогда открылось окно 'Печать документа'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	И табличный документ "ТекущаяПечатнаяФорма" равен:
		| 'Организация'                                                                                                                                                   | ''                                                     | ''               | ''            |
		| 'Ф02/7.5                                АКТ РАСХОЖДЕНИЙ ПРИ ПРИЕМКЕ МОЛОКА'                                                                                     | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | 'от'                                                   | '22.02.2019'     | 'г.'          |
		| 'время составления акта (чч:мм) _______________'                                                                                                                | ''                                                     | ''               | ''            |
		| 'время прибытия на комбинат (чч:мм) ______________'                                                                                                             | ''                                                     | ''               | ''            |
		| 'начало слива (чч:мм)'                                                                                                                                          | ''                                                     | ''               | ''            |
		| 'время отправления от комбината (чч:мм) ______________'                                                                                                         | ''                                                     | ''               | ''            |
		| 'Мастер (лаборант) ______________________________________________________________'                                                                              | ''                                                     | ''               | ''            |
		| '                                                                                                    фамилия, и.,о.'                                            | ''                                                     | ''               | ''            |
		| 'и представитель поставщика ______________________________________________________'                                                                             | ''                                                     | ''               | ''            |
		| '                                                                                                      фамилия, и.о. и наименование поставщика'                 | ''                                                     | ''               | ''            |
		| 'Составили настоящий акт в том, что при приемке-сдаче доставленного поставщиком Поставщик 1 молока оказались расхождения в секции №1 по следующим показателям:' | ''                                                     | ''               | ''            |
		| 'Наименование показателя'                                                                                                                                       | 'Данные поставщика'                                    | 'Данные приемки' | 'Расхождение' |
		| 'МДБ'                                                                                                                                                           | '3,14'                                                 | '2,98'           | '-0,16'       |
		| 'МДЖ'                                                                                                                                                           | '3,4'                                                  | '3,4'            | ''            |
		| 'Плотность молока'                                                                                                                                              | '1 027'                                                | '1 027'          | ''            |
		| 'Физический вес'                                                                                                                                                | '1 500'                                                | ''               | ''            |
		| ''                                                                                                                                                              | ''                                                     | ''               | ''            |
		| 'Заключение ___________________________________________________________________________'                                                                        | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| 'Представитель поставщика _____________ _____________'                                                                                                          | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | '                 подпись              фамилия, и. о.' | ''               | ''            |
		| 'Лаборант                                 _____________ _____________'                                                                                          | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | '                 подпись              фамилия, и. о.' | ''               | ''            |
		| 'Мастер                                      _____________ _____________'                                                                                       | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | '                 подпись              фамилия, и. о.' | ''               | ''            |
		| '______________________ ____________ ______________'                                                                                                            | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | '                 подпись              фамилия, и. о.' | ''               | ''            |
	И табличный документ "ПечатнаяФорма1" равен:
		| 'Организация'                                                                                                                                                   | ''                                                     | ''               | ''            |
		| 'Ф02/7.5                                АКТ РАСХОЖДЕНИЙ ПРИ ПРИЕМКЕ МОЛОКА'                                                                                     | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | 'от'                                                   | '22.02.2019'     | 'г.'          |
		| 'время составления акта (чч:мм) _______________'                                                                                                                | ''                                                     | ''               | ''            |
		| 'время прибытия на комбинат (чч:мм) ______________'                                                                                                             | ''                                                     | ''               | ''            |
		| 'начало слива (чч:мм)'                                                                                                                                          | ''                                                     | ''               | ''            |
		| 'время отправления от комбината (чч:мм) ______________'                                                                                                         | ''                                                     | ''               | ''            |
		| 'Мастер (лаборант) ______________________________________________________________'                                                                              | ''                                                     | ''               | ''            |
		| '                                                                                                    фамилия, и.,о.'                                            | ''                                                     | ''               | ''            |
		| 'и представитель поставщика ______________________________________________________'                                                                             | ''                                                     | ''               | ''            |
		| '                                                                                                      фамилия, и.о. и наименование поставщика'                 | ''                                                     | ''               | ''            |
		| 'Составили настоящий акт в том, что при приемке-сдаче доставленного поставщиком Поставщик 1 молока оказались расхождения в секции №1 по следующим показателям:' | ''                                                     | ''               | ''            |
		| 'Наименование показателя'                                                                                                                                       | 'Данные поставщика'                                    | 'Данные приемки' | 'Расхождение' |
		| 'МДБ'                                                                                                                                                           | '3,14'                                                 | '2,98'           | '-0,16'       |
		| 'МДЖ'                                                                                                                                                           | '3,4'                                                  | '3,4'            | ''            |
		| 'Плотность молока'                                                                                                                                              | '1 027'                                                | '1 027'          | ''            |
		| 'Физический вес'                                                                                                                                                | '1 500'                                                | ''               | ''            |
		| ''                                                                                                                                                              | ''                                                     | ''               | ''            |
		| 'Заключение ___________________________________________________________________________'                                                                        | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| 'Представитель поставщика _____________ _____________'                                                                                                          | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | '                 подпись              фамилия, и. о.' | ''               | ''            |
		| 'Лаборант                                 _____________ _____________'                                                                                          | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | '                 подпись              фамилия, и. о.' | ''               | ''            |
		| 'Мастер                                      _____________ _____________'                                                                                       | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | '                 подпись              фамилия, и. о.' | ''               | ''            |
		| '______________________ ____________ ______________'                                                                                                            | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | '                 подпись              фамилия, и. о.' | ''               | ''            |
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Приемка молока по качеству'
	И Я закрываю окно 'Приемка молока по качеству'

Сценарий: 01_milk_reception.02.004 Проверка движений документа поступления без микробиологии
	И В командном интерфейсе я выбираю 'Производство' 'Поступления молочного сырья'
	Тогда открылось окно 'Поступления молочного сырья'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль'   | 'Водитель'             | 'Дата'       | 'Комментарий'   | 'Организация' | 'Ответственный'           			| 'Поставщики'  | 'Рабочий центр' | 'Способ создания'            | 'Статус'              |
		| 'Н453РУ Камаз' | 'Водитель Иванов Иван' | '22.02.2019' | '' 				| 'Организация' | 'milk_rec_Лаборант приемки молока' | 'Поставщик 1' | 'milk_rec_ПАЦ'  | 'Приемка молока по качеству' | 'Принято по качеству' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Поступление молочного сырья * от 22.02.2019 23:59:59' |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Поступления молочного сырья'
	И Я закрываю окно 'Поступления молочного сырья'

Сценарий: 01_milk_reception.02.004 Запуск обработки Приемка молока по качеству с микробиологией
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И я перехожу к закладке с именем "ГруппаПараметры"
	И я устанавливаю флаг 'Подбирать анализы поставщиков'
	И я нажимаю кнопку выбора у поля "ВидАнализаМикробиологический"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'              |
		| 'milk_rec_Микробиология молока'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И в поле 'ДатаСмены' я ввожу текст '23.02.2019'
	И из выпадающего списка "Наш" я выбираю точное значение 'Наш'
	И я нажимаю кнопку выбора у поля "Автомобиль"
	Тогда открылось окно 'Транспортные средства'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль'   |
		| 'Н453РУ Камаз' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Поставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'ИНН'  | 'Наименование' |
		| '1434' | 'Поставщик 1'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" в поле 'ТТН' я ввожу текст '5454553453'
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '64565'
	И в таблице "ТоварыЗаявлено" в поле 'Вес, кг' я ввожу текст '1 250,000'
	И в таблице "ТоварыЗаявлено" я выбираю текущую строку
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Заявлено"
	Тогда открылось окно 'Показатели, заявленные поставщиком Поставщик *'
	И в таблице "Показатели" я перехожу к строке:
		|  'Показатель' |
		|  'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,140'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		|  'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,400'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И я нажимаю на кнопку 'Фактические показатели секции'
	Тогда открылось окно 'Фактические показатели секции №1'
	И в таблице "Показатели" я активизирую поле "Значение"
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '2,980'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,400'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И я нажимаю на кнопку 'Распределить разницу'
	И я нажимаю на кнопку 'Записать'
	И Я закрываю окно 'Приемка молока по качеству'

Сценарий: 01_milk_reception.02.004 Проверка движений документа поступления с микробиологией
	И В командном интерфейсе я выбираю 'Производство' 'Поступления молочного сырья'
	Тогда открылось окно 'Поступления молочного сырья'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль'   | 'Водитель'             | 'Дата'       | 'Комментарий'   | 'Организация' | 'Ответственный'           		 | 'Поставщики'  | 'Рабочий центр' | 'Способ создания'            | 'Статус'              |
		| 'Н453РУ Камаз' | 'Водитель Иванов Иван' | '23.02.2019' | '' 				| 'Организация' | 'milk_rec_Лаборант приемки молока' | 'Поставщик 1' | 'milk_rec_ПАЦ'  | 'Приемка молока по качеству' | 'Принято по качеству' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Поступление молочного сырья * от 23.02.2019 23:59:59' |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Поступления молочного сырья'
	И Я закрываю окно 'Поступления молочного сырья'

Сценарий: 01_milk_reception.02.004 Приемка по качеству с возвратом поставщику обеих секций машины
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И в поле 'Автомобиль' я ввожу текст '223'
	И в поле 'Водитель' я ввожу текст 'грибов'
	И я устанавливаю флаг 'Возврат поставщику'
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Поставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'ИНН'  | 'Наименование' |
		| '1434' | 'Поставщик 1'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" в поле 'ТТН' я ввожу текст '22233344'
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '22233344'
	И в таблице "ТоварыЗаявлено" в поле 'Вес, кг' я ввожу текст '1 200,000'
	И я нажимаю на кнопку 'Фактические показатели секции'
	Тогда открылось окно 'Фактические показатели секции №1'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,400'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '2,100'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И я перехожу к закладке "Добавить"
	И я устанавливаю флаг 'Возврат поставщику'
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Поставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'ИНН'  | 'Наименование' |
		| '1434' | 'Поставщик 1'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" в поле 'ТТН' я ввожу текст '66645553'
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '455656565'
	И в таблице "ТоварыЗаявлено" в поле 'Вес, кг' я ввожу текст '1 250,000'
	И я нажимаю на кнопку 'Фактические показатели секции'
	Тогда открылось окно 'Фактические показатели секции №2'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '1,200'
	И в таблице "Показатели" я завершаю редактирование строки
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Приемка молока по качеству'
	И Я закрываю окно 'Приемка молока по качеству'

Сценарий: 01_milk_reception.02.004 Проверка движений документа поступления с возвратом поставщику обеих секций машины
	И В командном интерфейсе я выбираю 'Производство' 'Поступления молочного сырья'
	Тогда открылось окно 'Поступления молочного сырья'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль' | 'Водитель' | 'Комментарий' | 'Организация' | 'Ответственный'           		 | 'Поставщики'  | 'Рабочий центр' | 'Способ создания'            | 'Статус'              |
		| '223'        | 'грибов'   | '' 			| 'Организация' | 'milk_rec_Лаборант приемки молока' | 'Поставщик 1' | 'milk_rec_ПАЦ'  | 'Приемка молока по качеству' | 'Принято по качеству' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Поступление молочного сырья * от *' | ''                   | ''            | ''      					 | ''       				  | ''     | ''               | ''               | ''                            | ''              | ''             | ''                   | ''            | ''        					 | ''               | ''             			  | ''                                  | ''               | ''                			 | ''                                  | ''      		   | ''                 		 | ''                                   | ''                | ''                        | ''                                | ''      | ''                         | ''             | ''     				 | ''                        | ''         | ''           | ''             | ''                   | ''         |
		| ''                                                      | ''                   | ''            | ''      					 | ''       				  | ''     | ''               | ''               | ''                            | ''              | ''             | ''                   | ''            | ''        					 | ''               | ''             			  | ''                                  | ''               | ''                			 | ''                                  | ''      		   | ''                 		 | ''                                   | ''                | ''                        | ''                                | ''      | ''                         | ''             | ''     				 | ''                        | ''         | ''           | ''             | ''                   | ''         |
		| 'Регистр накопления "Поступления сырья" (2)'            | ''                   | ''            | ''      					 | ''       				  | ''     | ''               | ''               | ''                            | ''              | ''             | ''                   | ''            | ''        					 | ''               | ''             			  | ''                                  | ''               | ''                			 | ''                                  | ''      		   | ''                 		 | ''                                   | ''                | ''                        | ''                                | ''      | ''                         | ''             | ''     				 | ''                        | ''         | ''           | ''             | ''                   | ''         |
		| 'Стандартные реквизиты'                                 | ''                   | 'Измерения'   | ''      					 | ''       				  | ''     | ''               | ''               | ''                            | ''              | ''             | ''                   | ''            | 'Ресурсы' 					 | ''               | ''             			  | ''                                  | ''               | ''                			 | ''                                  | ''      		   | ''                 		 | ''                                   | ''                | ''                        | ''                                | ''      | ''                         | 'Реквизиты'    | ''     				 | ''                        | ''         | ''           | ''             | ''                   | ''         |
		| 'Активность'                                            | 'Период'             | 'Поставщик'   | '(не используется) Склад' | '(не используется) Ячейка' | 'Сорт' | 'Номенклатура'   | 'Характеристика' | 'Серия'                       | 'Рабочий центр' | 'Пункт сборки' | 'Возврат поставщику' | 'Организация' | '(не используется) Литры'   | 'Физический вес' | 'Физический вес (заявлено)' | 'Физический вес (к взаиморасчетам)' | 'Жирокилограммы' | 'Жирокилограммы (заявлено)' | 'Жирокилограммы (к взаиморасчетам)' | 'Белкокилограммы' |'Белкокилограммы (заявлено)' | 'Белкокилограммы (к взаиморасчетам)' | 'Зачетный вес' 	| 'Зачетный вес (заявлено)' | 'Зачетный вес (к взаиморасчетам)' | 'Сумма' | 'Сумма (к взаиморасчетам)' | 'Цена' 		| 'Цена за зачетный вес' | 'Цена (к взаиморасчетам)' | 'Водитель' | 'Автомобиль' | 'Номер секции' | 'Дата начала слива'  | 'ТТН'      |
		| 'Да'                                                    | '*'                  | 'Поставщик 1' | ''      					 | ''       				  | ''     | 'milk_rec_Молоко'| ''               | '010002223334422233344 до *'  | 'milk_rec_ПАЦ'  | ''             | 'Да'                 | 'Организация' | ''        					 | ''               | '1 200,000'             	  | ''                                  | ''         	   | ''               			 | ''                            	   | ''          	   | ''                    		 | ''      								| ''                | ''                        | ''                          		| ''      | ''                         | ''     		| ''     				 | ''     					 | 'грибов'   | '223'        | '1'            | ''                   | '22233344' |
		| 'Да'                                                    | '*'                  | 'Поставщик 1' | ''      					 | ''       				  | ''     | 'milk_rec_Молоко'| ''               | '0200066645553455656565 до *' | 'milk_rec_ПАЦ'  | ''             | 'Да'                 | 'Организация' | ''        					 | ''               | '1 250,000'             	  | ''                                  | ''         	   | ''               			 | ''                           	   | ''          	   | ''                   		 | ''      								| ''                | ''                        | ''                          		| ''      | ''                         | ''     		| ''     				 | ''     					 | 'грибов'   | '223'        | '2'            | ''                   | '66645553' |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Поступления молочного сырья'
	И Я закрываю окно 'Поступления молочного сырья'

Сценарий: 01_milk_reception.02.004 Приемка по качеству с возвратом поставщику одной из двух секции машины
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И в поле 'Автомобиль' я ввожу текст '324'
	И в поле 'Водитель' я ввожу текст 'оленин'
	И я устанавливаю флаг 'Возврат поставщику'
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Поставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'ИНН'  | 'Наименование' |
		| '1434' | 'Поставщик 1'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" в поле 'ТТН' я ввожу текст '2321212'
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '12234442'
	И в таблице "ТоварыЗаявлено" в поле 'Вес, кг' я ввожу текст '1 100,000'
	И я нажимаю на кнопку 'Фактические показатели секции'
	Тогда открылось окно 'Фактические показатели секции №1'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '1,200'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '2,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И я перехожу к закладке "Добавить"
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Поставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'ИНН'  | 'Наименование' |
		| '1434' | 'Поставщик 1'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" в поле 'ТТН' я ввожу текст '55433322'
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '46656554'
	И в таблице "ТоварыЗаявлено" в поле 'Вес, кг' я ввожу текст '1 000,000'
	И я нажимаю на кнопку 'Фактические показатели секции'
	Тогда открылось окно 'Фактические показатели секции №2'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,400'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,200'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И я нажимаю на кнопку 'КомандаПечатьАктаРасхождений'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Записать и продолжить'
	Тогда открылось окно 'Печать документа'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	И табличный документ "ТекущаяПечатнаяФорма" равен по шаблону:
		| 'Организация'                                                                                                                                                   | ''                                                     | ''               | ''            |
		| 'Ф02/7.5                                АКТ РАСХОЖДЕНИЙ ПРИ ПРИЕМКЕ МОЛОКА'                                                                                     | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | 'от'                                                   | '*'              | 'г.'          |
		| 'время составления акта (чч:мм) _______________'                                                                                                                | ''                                                     | ''               | ''            |
		| 'время прибытия на комбинат (чч:мм) ______________'                                                                                                             | ''                                                     | ''               | ''            |
		| 'начало слива (чч:мм)'                                                                                                                                          | ''                                                     | ''               | ''            |
		| 'время отправления от комбината (чч:мм) ______________'                                                                                                         | ''                                                     | ''               | ''            |
		| 'Мастер (лаборант) ______________________________________________________________'                                                                              | ''                                                     | ''               | ''            |
		| '                                                                                                    фамилия, и.,о.'                                            | ''                                                     | ''               | ''            |
		| 'и представитель поставщика ______________________________________________________'                                                                             | ''                                                     | ''               | ''            |
		| '                                                                                                      фамилия, и.о. и наименование поставщика'                 | ''                                                     | ''               | ''            |
		| 'Составили настоящий акт в том, что при приемке-сдаче доставленного поставщиком Поставщик 1 молока оказались расхождения в секции №1 по следующим показателям:' | ''                                                     | ''               | ''            |
		| 'Наименование показателя'                                                                                                                                       | 'Данные поставщика'                                    | 'Данные приемки' | 'Расхождение' |
		| 'Физический вес'                                                                                                                                                | '1 100'                                                | ''               | ''            |
		| ''                                                                                                                                                              | ''                                                     | ''               | ''            |
		| 'Заключение ___________________________________________________________________________'                                                                        | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| 'Представитель поставщика _____________ _____________'                                                                                                          | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | '                 подпись              фамилия, и. о.' | ''               | ''            |
		| 'Лаборант                                 _____________ _____________'                                                                                          | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | '                 подпись              фамилия, и. о.' | ''               | ''            |
		| 'Мастер                                      _____________ _____________'                                                                                       | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | '                 подпись              фамилия, и. о.' | ''               | ''            |
		| '______________________ ____________ ______________'                                                                                                            | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | '                 подпись              фамилия, и. о.' | ''               | ''            |
		| 'Организация'                                                                                                                                                   | ''                                                     | ''               | ''            |
		| 'Ф02/7.5                                АКТ РАСХОЖДЕНИЙ ПРИ ПРИЕМКЕ МОЛОКА'                                                                                     | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | 'от'                                                   | '*'              | 'г.'          |
		| 'время составления акта (чч:мм) _______________'                                                                                                                | ''                                                     | ''               | ''            |
		| 'время прибытия на комбинат (чч:мм) ______________'                                                                                                             | ''                                                     | ''               | ''            |
		| 'начало слива (чч:мм)'                                                                                                                                          | ''                                                     | ''               | ''            |
		| 'время отправления от комбината (чч:мм) ______________'                                                                                                         | ''                                                     | ''               | ''            |
		| 'Мастер (лаборант) ______________________________________________________________'                                                                              | ''                                                     | ''               | ''            |
		| '                                                                                                    фамилия, и.,о.'                                            | ''                                                     | ''               | ''            |
		| 'и представитель поставщика ______________________________________________________'                                                                             | ''                                                     | ''               | ''            |
		| '                                                                                                      фамилия, и.о. и наименование поставщика'                 | ''                                                     | ''               | ''            |
		| 'Составили настоящий акт в том, что при приемке-сдаче доставленного поставщиком Поставщик 1 молока оказались расхождения в секции №2 по следующим показателям:' | ''                                                     | ''               | ''            |
		| 'Наименование показателя'                                                                                                                                       | 'Данные поставщика'                                    | 'Данные приемки' | 'Расхождение' |
		| 'Физический вес'                                                                                                                                                | '1 000'                                                | ''               | ''            |
		| ''                                                                                                                                                              | ''                                                     | ''               | ''            |
		| 'Заключение ___________________________________________________________________________'                                                                        | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| '_____________________________________________________________________________________'                                                                         | ''                                                     | ''               | ''            |
		| 'Представитель поставщика _____________ _____________'                                                                                                          | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | '                 подпись              фамилия, и. о.' | ''               | ''            |
		| 'Лаборант                                 _____________ _____________'                                                                                          | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | '                 подпись              фамилия, и. о.' | ''               | ''            |
		| 'Мастер                                      _____________ _____________'                                                                                       | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | '                 подпись              фамилия, и. о.' | ''               | ''            |
		| '______________________ ____________ ______________'                                                                                                            | ''                                                     | ''               | ''            |
		| ''                                                                                                                                                              | '                 подпись              фамилия, и. о.' | ''               | ''            |
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Приемка молока по качеству'
	И Я закрываю окно 'Приемка молока по качеству'

Сценарий: 01_milk_reception.02.004 Проверка движений документа поступления с возвратом поставщику одной из двух секции машины
	И В командном интерфейсе я выбираю 'Производство' 'Поступления молочного сырья'
	Тогда открылось окно 'Поступления молочного сырья'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль' | 'Водитель' | 'Комментарий'  | 'Организация' | 'Ответственный'           		  | 'Поставщики'  | 'Рабочий центр' | 'Способ создания'            | 'Статус'              |
		| '324'        | 'оленин'   | ''			 | 'Организация' | 'milk_rec_Лаборант приемки молока' | 'Поставщик 1' | 'milk_rec_ПАЦ'  | 'Приемка молока по качеству' | 'Принято по качеству' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Поступление молочного сырья * от *' | ''                   | ''            | ''                        | ''                         | ''     | ''                | ''               | ''                           | ''              | ''             | ''                   | ''            | ''                        | ''               | ''                          | ''                                  | ''               | ''                          | ''                                  | ''                | ''                           | ''                                   | ''             | ''                        | ''                                | ''      | ''                         | ''          | ''                     | ''                        | ''         | ''           | ''             | ''                   | ''        |
		| ''                                                      | ''                   | ''            | ''                        | ''                         | ''     | ''                | ''               | ''                           | ''              | ''             | ''                   | ''            | ''                        | ''               | ''                          | ''                                  | ''               | ''                          | ''                                  | ''                | ''                           | ''                                   | ''             | ''                        | ''                                | ''      | ''                         | ''          | ''                     | ''                        | ''         | ''           | ''             | ''                   | ''        |
		| 'Регистр накопления "Поступления сырья" (1)'            | ''                   | ''            | ''                        | ''                         | ''     | ''                | ''               | ''                           | ''              | ''             | ''                   | ''            | ''                        | ''               | ''                          | ''                                  | ''               | ''                          | ''                                  | ''                | ''                           | ''                                   | ''             | ''                        | ''                                | ''      | ''                         | ''          | ''                     | ''                        | ''         | ''           | ''             | ''                   | ''        |
		| 'Стандартные реквизиты'                                 | ''                   | 'Измерения'   | ''                        | ''                         | ''     | ''                | ''               | ''                           | ''              | ''             | ''                   | ''            | 'Ресурсы'                 | ''               | ''                          | ''                                  | ''               | ''                          | ''                                  | ''                | ''                           | ''                                   | ''             | ''                        | ''                                | ''      | ''                         | 'Реквизиты' | ''                     | ''                        | ''         | ''           | ''             | ''                   | ''        |
		| 'Активность'                                            | 'Период'             | 'Поставщик'   | '(не используется) Склад' | '(не используется) Ячейка' | 'Сорт' | 'Номенклатура'    | 'Характеристика' | 'Серия'                      | 'Рабочий центр' | 'Пункт сборки' | 'Возврат поставщику' | 'Организация' | '(не используется) Литры' | 'Физический вес' | 'Физический вес (заявлено)' | 'Физический вес (к взаиморасчетам)' | 'Жирокилограммы' | 'Жирокилограммы (заявлено)' | 'Жирокилограммы (к взаиморасчетам)' | 'Белкокилограммы' | 'Белкокилограммы (заявлено)' | 'Белкокилограммы (к взаиморасчетам)' | 'Зачетный вес' | 'Зачетный вес (заявлено)' | 'Зачетный вес (к взаиморасчетам)' | 'Сумма' | 'Сумма (к взаиморасчетам)' | 'Цена'      | 'Цена за зачетный вес' | 'Цена (к взаиморасчетам)' | 'Водитель' | 'Автомобиль' | 'Номер секции' | 'Дата начала слива'  | 'ТТН'     |
		| 'Да'                                                    | '*' 				 | 'Поставщик 1' | ''                        | ''                         | ''     | 'milk_rec_Молоко' | ''               | '010000232121212234442 до *' | 'milk_rec_ПАЦ'  | ''             | 'Да'                 | 'Организация' | ''                        | ''               | '1 100,000'                 | ''                                  | ''               | ''                          | ''                                  | ''                | ''                           | ''                                   | ''             | ''                        | ''                                | ''      | ''                         | ''          | ''                     | ''                        | 'оленин'   | '324'        | '1'            | ''                   | '2321212' |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Поступления молочного сырья'
	И Я закрываю окно 'Поступления молочного сырья'

Сценарий: 01_milk_reception.02.004 Проверка документов на повторное открытие и галки возврата
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И я нажимаю кнопку выбора у поля "Документ"
	Тогда открылось окно 'Поступления молочного сырья'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль' | 'Водитель' | 'Организация' | 'Поставщики'  | 'Рабочий центр' | 'Статус'              |
		| '324'        | 'оленин'   | 'Организация' | 'Поставщик 1' | 'milk_rec_ПАЦ'  | 'Принято по качеству' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И я перехожу к закладке "Секция №1"
	И флаг с именем "ВозвратПоставщику" равен "Да"
	И я нажимаю на кнопку открытия поля "Документ"
	Тогда открылось окно 'Поступление молочного сырья *'
	И я перехожу к закладке "Факт"
	И я разворачиваю группу с именем "ГруппаПриемкаПоКачеству"
	И таблица "СекцииФактПоКачеству" стала равной:
		| 'Секция' | 'Анализы'          | 'БКГ'    | 'Возврат' | 'ЖКГ'    |
		| '1'      | 'МДЖ 2; МДБ 1,2'   | '13,200' | 'Да'      | '22,000' |
		| '2'      | 'МДЖ 3,4; МДБ 3,2' | '32,000' | 'Нет'     | '34,000' |
	И Я закрываю окно 'Поступление молочного сырья *'
	Тогда открылось окно 'Приемка молока по качеству'
	И я нажимаю кнопку выбора у поля "Документ"
	Тогда открылось окно 'Поступления молочного сырья'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль' | 'Водитель' | 'Организация' | 'Поставщики'  | 'Рабочий центр' | 'Статус'              |
		| '223'        | 'грибов'   | 'Организация' | 'Поставщик 1' | 'milk_rec_ПАЦ'  | 'Принято по качеству' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И я нажимаю кнопку выбора у поля "Документ"
	Тогда открылось окно 'Поступления молочного сырья'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль' | 'Водитель' | 'Организация' | 'Поставщики'  | 'Рабочий центр' | 'Статус'              |
		| '324'        | 'оленин'   | 'Организация' | 'Поставщик 1' | 'milk_rec_ПАЦ'  | 'Принято по качеству' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И я перехожу к закладке "Секция №1"
	И флаг с именем "ВозвратПоставщику" равен "Да"
	И я перехожу к закладке "Секция №2"
	И флаг с именем "ВозвратПоставщику" равен "Нет"
	И Я закрываю окно 'Приемка молока по качеству'

Сценарий: 01_milk_reception.02.004 Удаление из анализа молока плотности
	Дано Я переключаюсь на открытый клиент "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Виды анализов номенклатуры'
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'milk_rec_показатели МДЖ МДБ' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_rec_показатели МДЖ МДБ (Вид анализа номенклатуры)'
	И в таблице "Показатели" я перехожу к строке:
		| 'Вид результата анализа'    | 'Значение max' | 'Значение min' | 'Показатель'       |
		| 'Число дробное в диапазоне' | 'Макс.'        | 'Мин.'         | 'Плотность молока' |
	И я выбираю пункт контекстного меню с именем 'ПоказателиКонтекстноеМенюУдалить' на элементе формы с именем "Показатели"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_rec_показатели МДЖ МДБ (Вид анализа номенклатуры) *' в течение 20 секунд
	Тогда открылось окно 'Виды анализов номенклатуры'
	И Я закрываю окно 'Виды анализов номенклатуры'

Сценарий: 01_milk_reception.02.004 Проверка определения сорта в АРМе лаборанта приемки
	Дано Я переключаюсь на открытый клиент "milk_rec_Лаборант приемки молока"
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И я перехожу к закладке с именем "ГруппаПараметры"
	И я устанавливаю флаг 'Подбирать анализы поставщиков'
	И я нажимаю кнопку выбора у поля "ВидАнализаМикробиологический"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'milk_rec_Микробиология молока' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И из выпадающего списка "Наш" я выбираю точное значение 'Наш'
	И я нажимаю кнопку выбора у поля "Автомобиль"
	Тогда открылось окно 'Транспортные средства'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в поле 'ДатаСмены' я ввожу текущую дату
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" из выпадающего списка "Поставщик" я выбираю по строке 'Поставщик 1'
	И в таблице "ТоварыЗаявлено" в поле 'ТТН' я ввожу текст '435346'
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '436436463'
	И в таблице "ТоварыЗаявлено" в поле 'Вес, кг' я ввожу текст '1 250,000'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита с именем "ТоварыЗаявленоСорт"
	Тогда открылось окно 'Показатели, заявленные поставщиком *'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,400'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,200'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И таблица "РезультатыАнализов" стала равной:
		| 'Показатель'            | 'Факт'      | 'Заявлено'  |
		| 'МДБ'                   | ''          | '3,200'     |
		| 'МДЖ'                   | ''          | '3,400'     |
		| 'Ингибирующие вещества' | 'Нет'       | 'Нет'       |
		| 'Плотность молока'      | '1 027,000' | '1 027,000' |
	И таблица "ТоварыЗаявлено" стала равной:
		| 'Поставщик'   | 'Вес, кг'   | 'Пункт сборки' | 'ТТН'    | 'Вет. свидетельство' | 'Заявлено' | 'Факт' |
		| 'Поставщик 1' | '1 250,000' | ''             | '435346' | '436436463'          | '1 сорт'   | ''     |
	И я нажимаю на кнопку 'Фактические показатели секции'
	Тогда открылось окно 'Фактические показатели секции №1'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,400'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,200'
	И я нажимаю на кнопку 'ОК'
	И     таблица "ТоварыЗаявлено" стала равной:
		| 'Поставщик'   | 'Вес, кг'   | 'Пункт сборки' | 'ТТН'    | 'Вет. свидетельство' | 'Заявлено' | 'Факт'   |
		| 'Поставщик 1' | '1 250,000' | ''             | '435346' | '436436463'          | '1 сорт'   | '1 сорт' |
	И     таблица "РезультатыАнализов" содержит строки по шаблону:
		| 'Показатель'             | 'Факт'      | 'Заявлено'  |
		| 'Плотность молока'       | '1 027,000' | '1 027,000' |
		| 'Ингибирующие вещества'  | 'Нет'       | 'Нет'       |
		| 'МДЖ'                    | '3,400'     | '3,400'     |
		| 'МДБ'                    | '3,200'     | '3,200'     |
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" из выпадающего списка "Поставщик" я выбираю по строке 'Поставщик2'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Пункт сборки"
	Тогда открылось окно 'Пункты сборки'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И в таблице "ТоварыЗаявлено" в поле 'ТТН' я ввожу текст '786786'
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '8676868'
	И в таблице "ТоварыЗаявлено" в поле 'Вес, кг' я ввожу текст '1 000,000'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита с именем "ТоварыЗаявленоСорт"
	Тогда открылось окно 'Показатели, заявленные поставщиком *'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,400'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,200'
	И я нажимаю на кнопку 'ОК'
	И     таблица "ТоварыЗаявлено" стала равной:
		| 'Поставщик'    | 'Вес, кг'   | 'Пункт сборки' | 'ТТН'    | 'Вет. свидетельство' | 'Заявлено' | 'Факт'   |
		| 'Поставщик 1'  | '1 250,000' | ''             | '435346' | '436436463'          | '1 сорт'   | '1 сорт' |
		| 'Поставщик2'   | '1 000,000' | 'д.Остино'     | '786786' | '8676868'            | '2 сорт'   | '2 сорт' |
	И в таблице "ТоварыЗаявлено" я перехожу к строке:
		| 'Вес, кг'   | 'Вет. свидетельство' | 'Заявлено' | 'Поставщик'  | 'ТТН'    |
		| '1 000,000' | '8676868'            | '2 сорт'   | 'Поставщик2' | '786786' |
	И     таблица "РезультатыАнализов" содержит строки по шаблону:
		| 'Показатель'            | 'Факт'      | 'Заявлено'  |
		| 'МДБ'                   | '3,200'     | '3,200'     |
		| 'МДЖ'                   | '3,400'     | '3,400'     |
		| 'Ингибирующие вещества' | 'Нет'       | 'Нет'       |
		| 'Плотность молока'      | '1 026,000' | '1 026,000' |
	И я закрыл все окна клиентского приложения

Сценарий: 01_milk_reception.02.004 Перезапись анализов по сырью после приемки по количеству
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И я нажимаю кнопку выбора у поля "Документ"
	Тогда открылось окно 'Поступления молочного сырья'
	И в таблице "Список" я перехожу к строке:
		| 'Дата' 		  |
		| '22.02.2019 23:59:59'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Заявлено"
	Тогда открылось окно 'Показатели, заявленные поставщиком Поставщик *'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,200'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,400'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И я нажимаю на кнопку 'Записать'
	И я закрываю окно 'Приемка молока по качеству'
	И я закрыл все окна клиентского приложения

Сценарий: 01_milk_reception.02.004 Проверка движений документа поступления с перезаписью показателей


Сценарий: 01_milk_reception.02.004 Возврат в анализ молока плотности
	Дано Я переключаюсь на открытый клиент "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Виды анализов номенклатуры'
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'milk_rec_показатели МДЖ МДБ' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'milk_rec_показатели МДЖ МДБ (Вид анализа номенклатуры)'
	И в таблице "Показатели" я нажимаю на кнопку с именем 'ПоказателиДобавить'
	И в таблице "Показатели" я нажимаю кнопку выбора у реквизита "Показатель"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Плотность молока' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'milk_rec_показатели МДЖ МДБ (Вид анализа номенклатуры) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'milk_rec_показатели МДЖ МДБ (Вид анализа номенклатуры) *' в течение 20 секунд
	Тогда открылось окно 'Виды анализов номенклатуры'
	И Я закрываю окно 'Виды анализов номенклатуры'

Сценарий: 01_milk_reception.02.004 МБ не нужен Приемка по качеству от троих поставщиков с разными правилами округления зачетного веса
	Дано Я переключаюсь на открытый клиент "milk_rec_Лаборант приемки молока"
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И я перехожу к закладке "Параметры"
	И я снимаю флаг 'Подбирать анализы поставщиков'
	И в поле 'Автомобиль' я ввожу текст '4343'
	И в поле 'Водитель' я ввожу текст 'зачетнов'
	И в поле 'ДатаСмены' я ввожу текущую дату
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Поставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                                                      |
		| 'Поставщик молока с округлением зачетного веса в пользу поставщика' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" в поле 'ТТН' я ввожу текст '5446565'
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '54456546'
	И в таблице "ТоварыЗаявлено" в поле 'Вес, кг' я ввожу текст '1 000,000'
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Поставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                                                       |
		| 'Поставщик молока с округлением зачетного веса в пользу предприятия' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" в поле 'ТТН' я ввожу текст '687686786'
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '676786'
	И в таблице "ТоварыЗаявлено" в поле 'Вес, кг' я ввожу текст '1 000,000'
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита "Поставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                                                  |
		| 'Поставщик молока с округлением зачетного веса по мат.правилам' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" в поле 'ТТН' я ввожу текст '5579795'
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '55855'
	И в таблице "ТоварыЗаявлено" в поле 'Вес, кг' я ввожу текст '1 000,000'
	И я нажимаю на кнопку 'Фактические показатели секции'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,400'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,500'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель'       |
		| 'Плотность молока' |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '1 027,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Приемка молока по качеству'
	И Я закрываю окно 'Приемка молока по качеству'

Сценарий: 01_milk_reception.02.004 Проверка движений документа поступления от троих поставщиков с разными правилами округления зачетного веса
	И В командном интерфейсе я выбираю 'Производство' 'Поступления молочного сырья'
	Тогда открылось окно 'Поступления молочного сырья'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль' | 'Водитель' | 'Комментарий' | 'Организация' | 'Ответственный'           		  | 'Поставщики'                                                                                                                                                                                          | 'Рабочий центр' | 'Способ создания'            | 'Статус'              |
		| '4343'       | 'зачетнов' | '' 			| 'Организация' | 'milk_rec_Лаборант приемки молока' | 'Поставщик молока с округлением зачетного веса в пользу поставщика, Поставщик молока с округлением зачетного веса в пользу предприятия, Поставщик молока с округлением зачетного веса по мат.правилам' | 'milk_rec_ПАЦ'  | 'Приемка молока по качеству' | 'Принято по качеству' |
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Поступление молочного сырья * от *' |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Поступления молочного сырья'
	И Я закрываю окно 'Поступления молочного сырья'

Сценарий: 01_milk_reception.02.004 Проверка возможности ввода данных после очистки
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И я нажимаю на кнопку с именем 'КомандаОчистить'
	И в поле 'Автомобиль' я ввожу текст '223'
	И я перехожу к следующему реквизиту
	И Я закрываю окно 'Приемка молока по качеству *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'

Сценарий: 01_milk_reception.02.004 Проверка модифицированности формы при изменении даты смены
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И в поле с именем 'ДатаСмены' я ввожу текст '12.12.2019'
	И я перехожу к следующему реквизиту
	Тогда открылось окно 'Приемка молока по качеству *'
	И Я закрываю окно 'Приемка молока по качеству *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'

Сценарий: 01_milk_reception.02.004 Проверка предложения сохраниться при модифицированности формы
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И я нажимаю кнопку выбора у поля с именем "ДокументПоступления"
	Тогда открылось окно 'Поступления молочного сырья'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль' | 'Водитель' | 'Организация' | 'Поставщики'  | 'Рабочий центр' | 'Статус'               |
		| 'екгке546'   | 'Иванов'   | 'Организация' | 'Поставщик 1' | 'milk_rec_ПАЦ'  | 'Принято по стоимости' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Приемка молока по качеству'
	И из выпадающего списка с именем "Смена" я выбираю по строке 'смена2'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку с именем 'КомандаОчистить'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Приемка молока по качеству'
	И Я закрываю окно 'Приемка молока по качеству'
	
Сценарий: 01_milk_reception.02.004 Проверка незаполненного ответственного за приемку по количеству при принятии только по качеству
	И В командном интерфейсе я выбираю 'Производство' 'Поступления молочного сырья'
	Тогда открылось окно 'Поступления молочного сырья'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль'   | 'Водитель'             | 'Организация' | 'Ответственный'                    | 'Поставщики'  | 'Рабочий центр' | 'Способ создания'            | 'Статус'              |
		| 'Н453РУ Камаз' | 'Водитель Иванов Иван' | 'Организация' | 'milk_rec_Лаборант приемки молока' | 'Поставщик 1' | 'milk_rec_ПАЦ'  | 'Приемка молока по качеству' | 'Принято по качеству' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Поступление молочного сырья * от *'
	И я перехожу к закладке с именем "ГруппаПриемкаПоКоличеству"
	И элемент формы с именем "ОтветственныйЗаПриемкуПоКоличеству" стал равен ''
	И я закрываю окно 'Поступление молочного сырья * от *'
	Тогда открылось окно 'Поступления молочного сырья'
	И я закрываю окно 'Поступления молочного сырья'

Сценарий: 01_milk_reception.02.004 Проверка заполненности ответственнго, РЦ после очистки
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И я нажимаю на кнопку с именем 'КомандаОчистить'
	Тогда открылось окно 'Приемка молока по качеству'
	И в поле с именем 'ДатаСмены' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля с именем "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И из выпадающего списка с именем "НашАвтомобиль" я выбираю точное значение 'Наш'
	И из выпадающего списка с именем "Автомобиль" я выбираю точное значение 'Н453РУ Камаз'
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" из выпадающего списка с именем "ТоварыЗаявленоПоставщик" я выбираю по строке 'поставщик 1'
	И в таблице "ТоварыЗаявлено" в поле с именем 'ТоварыЗаявленоНомерТТН' я ввожу текст '434343'
	И в таблице "ТоварыЗаявлено" в поле с именем 'ТоварыЗаявленоНомерВСД' я ввожу текст '434343'
	И в таблице "ТоварыЗаявлено" в поле с именем 'ТоварыЗаявленоФизическийВес' я ввожу текст '1 222,000'
	И я нажимаю на кнопку с именем 'КомандаВнестиПоказателиСекции'
	Тогда открылось окно 'Фактические показатели секции №1'
	Тогда элемент формы с именем "ВидАнализа" стал равен 'milk_rec_показатели МДЖ МДБ'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле с именем 'ПоказателиЗначение' я ввожу текст '3,200'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле с именем 'ПоказателиЗначение' я ввожу текст '3,400'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель'       |
		| 'Плотность молока' |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '1 027,000'
	И я нажимаю на кнопку с именем 'Выбор'
	Тогда открылось окно 'Приемка молока по качеству *'
	И я нажимаю на кнопку с именем 'КомандаЗаписатьДанныеПриемки'
	Тогда в окне сообщений пользователю нет сообщений
	Тогда открылось окно 'Приемка молока по качеству'
	И Я закрываю окно 'Приемка молока по качеству'

Сценарий: 01_milk_reception.02.004 Проверка что сорт не заполняется у поставщика без микробиологии
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И в поле с именем 'ДатаСмены' я ввожу текущую дату
	И я нажимаю кнопку выбора у поля с именем "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И я устанавливаю флаг с именем 'ПодбиратьАнализыПоставщиков'
	И я нажимаю кнопку выбора у поля с именем "ВидАнализаМикробиологический"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                  |
		| 'milk_rec_Микробиология молока' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в поле с именем 'Автомобиль' я ввожу текст '444554'
	И в поле с именем 'Водитель' я ввожу текст '545454'
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" из выпадающего списка с именем "ТоварыЗаявленоПоставщик" я выбираю по строке 'поставщик 1'
	И в таблице "ТоварыЗаявлено" в поле с именем 'ТоварыЗаявленоНомерТТН' я ввожу текст '43434'
	И в таблице "ТоварыЗаявлено" в поле с именем 'ТоварыЗаявленоФизическийВес' я ввожу текст '3 322,000'
	И я нажимаю на кнопку с именем 'КомандаВнестиПоказателиСекции'
	Тогда открылось окно 'Фактические показатели секции №1'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле с именем 'ПоказателиЗначение' я ввожу текст '3,200'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле с именем 'ПоказателиЗначение' я ввожу текст '3,400'
	И я нажимаю на кнопку с именем 'Выбор'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита с именем "ТоварыЗаявленоПоставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                                                      |
		| 'Поставщик молока с округлением зачетного веса в пользу поставщика' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" в поле с именем 'ТоварыЗаявленоНомерТТН' я ввожу текст '466767'
	И в таблице "ТоварыЗаявлено" в поле с именем 'ТоварыЗаявленоНомерВСД' я ввожу текст '667767'
	И в таблице "ТоварыЗаявлено" в поле с именем 'ТоварыЗаявленоФизическийВес' я ввожу текст '677,000'
	И я нажимаю на кнопку с именем 'КомандаВнестиПоказателиСекции'
	Затем я жду, что в сообщениях пользователю будет подстрока 'Не указаны значения показателей для поставщика "Поставщик молока с округлением зачетного веса' в течение 30 секунд
	И в таблице "ТоварыЗаявлено" я перехожу к строке:
		| 'Вес, кг'   | 'Вет. свидетельство' | 'Поставщик'   | 'ТТН'   | 'Факт'   |
		| '3 322,000' | ''                   | 'Поставщик 1' | '43434' | '1 сорт' |
	И в таблице "ТоварыЗаявлено" я перехожу к строке:
		| 'Вес, кг' | 'Вет. свидетельство' | 'Поставщик'                                                         | 'ТТН'    | 'Факт'   |
		| '677,000' | '667767'             | 'Поставщик молока с округлением зачетного веса в пользу поставщика' | '466767' | ''       |
	И Я закрываю окно 'Приемка молока по качеству *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'

Сценарий: 01_milk_reception.02.004 Проверка установки даты
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И я нажимаю на кнопку с именем 'КомандаОчистить'
	И в поле с именем "ДатаСмены" я уменьшаю значение
	Тогда открылось окно 'Приемка молока по качеству *'
	И я нажимаю на кнопку с именем 'КомандаОчистить'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Приемка молока по качеству'
	И в поле с именем "ДатаСмены" я увеличиваю значение
	Тогда открылось окно 'Приемка молока по качеству *'
	И Я закрываю окно 'Приемка молока по качеству *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'

Сценарий:  01_milk_reception.02.004 Проверка заполнения таблицы с показателями
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И я перехожу к закладке с именем "ГруппаПараметры"
	И я снимаю флаг с именем 'ПодбиратьАнализыПоставщиков'
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И я нажимаю на кнопку 'Фактические показатели секции'
	Тогда открылось окно 'Фактические показатели секции №1'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,400'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,200'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель'       |
		| 'Плотность молока' |
	И в таблице "Показатели" в поле с именем 'ПоказателиЗначение' я ввожу текст '1 027,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И в таблице "ТоварыЗаявлено" я перехожу к первой строке
	И таблица "РезультатыАнализов" стала равной:
		| 'Показатель'            | 'Факт'      | 'Заявлено' |
		| 'МДБ'                   | '3,200'     | ''         |
		| 'МДЖ'                   | '3,400'     | ''         |
		| 'Плотность молока'      | '1 027,000' | ''         |
	И Я закрываю окно 'Приемка молока по качеству *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'

Сценарий: 01_milk_reception.02.004 Закрытие клиента
	И я закрываю сеанс TESTCLIENT
